Summary: File compression and packaging utility compatible with ARJ for MS-DOS
Name: arj
Version: 3.10.22
Release: %mkrel 18
Source0: http://prdownloads.sourceforge.net/arj/%{name}-%{version}.tar.bz2
Patch0:  http://ftp.debian.org/debian/pool/main/a/%{name}/%{name}_%{version}-6.diff.gz
Patch1:  arj-3.10.22-fedora-missing-protos.patch
Patch2:  arj-3.10.22-fedora-custom-printf.patch
# Filed into upstream bugtracker as https://sourceforge.net/tracker/?func=detail&aid=2853421&group_id=49820&atid=457566
Patch3:  arj-3.10.22-fedora-quotes.patch
Patch4:  arj-3.10.22-mageia-fix_format_string.patch
Patch5:  arj-3.10.22-parallel.patch
Patch6:  arj-3.10.22-debian-security-afl.patch
Patch7:  arj-3.10.22-debian-security-traversal-dir.patch
Patch8:  arj-3.10.22-debian-security-traversal-symlink.patch
License: GPLv2
BuildRequires: automake
Group: Archiving/Compression
Url: http://arj.sourceforge.net/

%description
A portable version of the ARJ archiver, available for a growing number
of DOS-like and UNIX-like platforms on a variety of architectures.
This aims for compatibility with the original ARJ archiver by ARJ
Software, Inc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0

for i in debian/patches/00*.patch; do
  patch -p1 < $i
done

%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

cd gnu
autoconf -f

%build
cd gnu
%configure
cd ..
# Disable binary strippings
%make_build ADD_LDFLAGS=""

%install
%makeinstall

%files
%doc ChangeLog* doc/*
%_bindir/arj
%_bindir/arj-register
%_bindir/arjdisp
%_bindir/rearj
%dir %_libdir/arj/
%_libdir/arj/arjcrypt.so
%_mandir/man1/*arj*.1*





%changelog
* Mon Jun 29 2020 joequant <joequant> 3.10.22-18.mga8
+ Revision: 1600442
- remove arm workaround

* Wed Feb 12 2020 umeabot <umeabot> 17.mga8-current
+ Revision: 1508919
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 3.10.22-16.mga7
+ Revision: 1294546
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 wally <wally> 3.10.22-15.mga7
+ Revision: 1234532
- fix build on aarch64

* Wed Feb 10 2016 umeabot <umeabot> 3.10.22-14.mga6
+ Revision: 953105
- Mageia 6 Mass Rebuild
+ tv <tv>
- explain

* Wed Sep 16 2015 tv <tv> 3.10.22-13.mga6
+ Revision: 879811
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 3.10.22-12.mga6
+ Revision: 875121
- Fix build with new rpm ( empty debuginfo)

* Mon Mar 30 2015 zezinho <zezinho> 3.10.22-11.mga5
+ Revision: 819414
- debian security patches fix #15586

* Wed Oct 15 2014 umeabot <umeabot> 3.10.22-10.mga5
+ Revision: 741328
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.10.22-9.mga5
+ Revision: 677900
- Mageia 5 Mass Rebuild

* Sun Mar 16 2014 wally <wally> 3.10.22-8.mga5
+ Revision: 604065
- rebuild for mga5
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon May 20 2013 pterjan <pterjan> 3.10.22-7.mga4
+ Revision: 413572
- Fix parallel build

* Fri Jan 11 2013 umeabot <umeabot> 3.10.22-7.mga3
+ Revision: 346079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 20 2011 zezinho <zezinho> 3.10.22-7.mga2
+ Revision: 170079
- use fedora and debian patches to fix build
- imported package arj

